petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCBDDCGetDirichletBoundariesLocal

Get parallel IS for Dirichlet boundaries (in local ordering)

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetDirichletBoundariesLocal(PC pc,IS *DirichletBoundaries)

Collective

### Input Parameters

pc -the preconditioning context

### Output Parameters

DirichletBoundaries -index set defining the subdomain part of Dirichlet boundaries

### Notes

The IS returned could be the same passed in earlier by the user (if provided with PCBDDCSetDirichletBoundariesLocal) or a global-to-local map of the global IS (if provided with PCBDDCSetDirichletBoundaries). In the latter case, the IS will be available after PCSetUp.

### See Also

PCBDDC

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCGetDirichletBoundariesLocal_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages